Skip to content

List KYC review requirements

Request

Lists all blocking requirements for a KYC (Know Your Customer) review. These outstanding KYC requirements typically act as "blocking requirements", preventing actions like creating transfers.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

kycReviewIdstring, (uuid)required

The ID of the existing KYC review.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v2/simulation/profiles/{profileId}/kyc-reviews/{kycReviewId}/requirements' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

List of KYC review requirements.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
requirementsArray of objects
Response
{ "requirements": [ { "key": "ID_DOCUMENT_WITH_LIVENESS", "state": "IN_REVIEW", "description": null } ] }